# ``twisted`.`python`.`_tzhelper`.`FixedOffsetTimeZone``

class documentation

`class FixedOffsetTimeZone(TZInfo): (source)`

View In Hierarchy

Represents a fixed timezone offset (without daylight saving time).

Class Method | `fromLocalTimeStamp` | Create a time zone with a fixed offset corresponding to a time stamp in the system's locally configured time zone.
Class Method | `fromSignHoursMinutes` | Construct a `FixedOffsetTimeZone` from an offset described by sign ('+' or '-'), hours, and minutes.
Method | `__init__` | Construct a `FixedOffsetTimeZone` with a fixed offset.
Method | `dst` | Return a zero `TimeDelta` for the daylight saving time offset, since there is never one.
Method | `tzname` | Return a string describing this timezone.
Method | `utcoffset` | Return the given timezone's offset from UTC.
Instance Variable | `name` | A `str` giving the name of this timezone; the name just includes how much time this offset represents.
Instance Variable | `offset` | A `TimeDelta` giving the amount of time this timezone is offset.

@classmethod
def fromLocalTimeStamp(cls, timeStamp): (source)
Create a time zone with a fixed offset corresponding to a time stamp in the system's locally configured time zone.

Parameters
timeStamp:`float` | Undocumented
Returns
`FixedOffsetTimeZone` | Undocumented

@classmethod
def fromSignHoursMinutes(cls, sign, hours, minutes): (source)
Construct a `FixedOffsetTimeZone` from an offset described by sign ('+' or '-'), hours, and minutes.

Parameters
sign:`str` | A string describing the positive or negative-ness of the offset.
hours:`int` | The number of hours in the offset.
minutes:`int` | The number of minutes in the offset
Returns
`FixedOffsetTimeZone` | A time zone with the given offset, and a name describing the offset.
Note
For protocol compatibility with AMP, this method never uses 'Z'

def __init__(self, offset, name=None): (source)
Construct a `FixedOffsetTimeZone` with a fixed offset.

Parameters
offset:`TimeDelta` | a delta representing the offset from UTC.
name:`Optional[str]` | A name to be given for this timezone.

def dst(self, dt): (source)
Return a zero `TimeDelta` for the daylight saving time offset, since there is never one.

Parameters
dt:`Optional[DateTime]` | Undocumented
Returns
`TimeDelta` | Undocumented

def tzname(self, dt): (source)
Return a string describing this timezone.

Parameters
dt:`Optional[DateTime]` | Undocumented
Returns
`str` | Undocumented

def utcoffset(self, dt): (source)
Return the given timezone's offset from UTC.

Parameters
dt:`Optional[DateTime]` | Undocumented
Returns
`TimeDelta` | Undocumented

name = (source)
A `str` giving the name of this timezone; the name just includes how much time this offset represents.
offset = (source)
A `TimeDelta` giving the amount of time this timezone is offset.